/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.iotdb.cluster.log;

import org.apache.iotdb.cluster.common.TestMetaGroupMember;
import org.apache.iotdb.cluster.server.member.RaftMember;
import org.apache.iotdb.db.utils.EnvironmentUtils;

import org.junit.After;
import org.junit.Test;

import static org.junit.Assert.*;

public class CommitLogCallbackTest {

  @Test
  public void test() throws InterruptedException {
    RaftMember raftMember = new TestMetaGroupMember();
    CommitLogCallback commitLogCallback = new CommitLogCallback(raftMember);
    synchronized (raftMember.getSyncLock()) {
      new Thread(
              () -> {
                commitLogCallback.onComplete(null);
              })
          .start();
      raftMember.getSyncLock().wait();
    }
    assertTrue(true);
    raftMember.stop();
  }

  @After
  public void tearDown() throws Exception {
    EnvironmentUtils.cleanAllDir();
  }
}
